curl --request GET \
--url https://api.qovery.com/terraform/{terraformId}/terraformResources \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"resource_type": "aws_instance",
"name": "web_server",
"address": "aws_instance.web_server",
"provider": "aws",
"mode": "managed",
"attributes": {
"instance_id": "i-1234567890abcdef0",
"instance_type": "t2.micro",
"public_ip": "10.0.0.1",
"private_ip": "172.31.0.1"
},
"extracted_at": "2023-01-15T10:30:00Z"
}
]
}Returns the list of Terraform resources from the most recent deployment execution
curl --request GET \
--url https://api.qovery.com/terraform/{terraformId}/terraformResources \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"resource_type": "aws_instance",
"name": "web_server",
"address": "aws_instance.web_server",
"provider": "aws",
"mode": "managed",
"attributes": {
"instance_id": "i-1234567890abcdef0",
"instance_type": "t2.micro",
"public_ip": "10.0.0.1",
"private_ip": "172.31.0.1"
},
"extracted_at": "2023-01-15T10:30:00Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Terraform ID
List of terraform resources from latest deployment
List of Terraform resources from the latest deployment
Array of Terraform resources
Show child attributes
Was this page helpful?